import request from "@/utils/request";
//查询技术监督列表
export function querySuperviseList(data) {
  return request({
    url: "/process-boot/thsSupervise/querySuperviseList",
    method: "post",
    data,
  });
}
//预警-告警事务生成
export function initSupervise(data) {
  return request({
    url: "/process-boot/thsSupervise/initSupervise",
    method: "post",
    data,
  });
}
// 查询流程状态列表
export function queryProgressValues(data) {
  return request({
    url: "/process-boot/thsSupervise/queryProgressValues",
    method: "post",
    data,
  });
}
// 保存技术监督监测点
export function saveOverRunLog(data) {
  return request({
    url: "/process-boot/thsSupervise/saveOverRunLog",
    method: "post",
    data,
  });
}
// 下载单据模板
export function dowloadAlarmFormwork(data) {
  return request({
    url: "/process-boot/thsSupervise/dowloadAlarmFormwork",
    method: "post",
    params: data,
  });
}
// 技术监督详情
export function superviseDetail(data) {
  return request({
    url: "/process-boot/thsSupervise/superviseDetail",
    method: "post",
    params: data,
  });
}
//批量导入检测报告
export function uploadSuperviseTicket(data) {
  return request({
    url: "/process-boot/thsSupervise/uploadSuperviseTicket",
    method: "post",
    data,
    responseType: "blob",
  });
}
//批量导入检测报告
export function uploadAlarmFormwork(data) {
  return request({
    url: "/process-boot/thsSupervise/uploadAlarmFormwork",
    method: "post",
    data,
    responseType: "blob",
  });
}
//更新技术监督监
export function updateSupervice(data) {
  return request({
    url: "/process-boot/thsSupervise/updateSupervice",
    method: "post",
    data,

  });
}
//更新技术监督监
export function deleteSupervise(data) {
  return request({
    url: "/process-boot/thsSupervise/deleteSupervise",
    method: "post",
    data,

  });
}
//技术监督首页
export function superviseIndex(data) {
  return request({
    url: "/process-boot/thsSupervise/superviseIndex",
    method: "post",
    data,

  });
}
// 技术监督反馈文件下载
export function downloadFeedBackFile(data) {
  return request({
      url: "/process-boot/thsSupervise/downloadFeedBackFile",
      method: "post",
      data,
      responseType: 'blob'
  });
}
